import { defineConfig } from 'unocss';
import { transformerDirectives } from 'unocss';
export default defineConfig({
  rules: [
    [
      'absolute-self-center',
      {
        position: 'absolute',
        top: '50%',
        left: '50%',
        transform: 'translate(-50%, -50%)',
      },
    ],
  ],
  theme: {
    breakpoints: {
      sm: '576px',
      md: '768px',
      lg: '1024px',
      xl: '1280px',
    },
  },
  transformers: [transformerDirectives()],
});
